/*
 *  ngtk/test/txtentry_test.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>
#include "ngtk_test.h"

void cleanup_text_input(void)
{
    ngtk_topbar(56, A_NORMAL, version_info, 0);
}

void text_input(void)
{
    char *entry = (char *)malloc(51);
    strcpy(entry, "\0");

    ngtk_topbar(56, A_NORMAL, " Text Input Test, type text then Enter to continue, Esc cancels", 0);
    ngtk_auto_getxtbox(25, 50, BLACK_F(WHITE_B), A_NORMAL, WHITE_F(BLUE_B), A_BOLD, \
                  YELLOW_F(WHITE_B), A_BOLD, BLACK_F(WHITE_B), A_NORMAL, \
                  "Text Input", "Please Enter Some Text", entry);

    if (!strcmp(entry, __ERR__)) {
        cleanup_text_input();
        return;
    }

    if (entry[0] == 0)
        strcpy(entry, "nothing");

    ngtk_commonbox(30, A_BOLD, "Text Return", "You entered : ", entry);
    free(entry);

    cleanup_text_input();
}

void init_text_input(void)
{
    ngtk_register_key(NGTK_KEY_F(4), text_input, "F4", "Input", 1);
}

